%define anolis_release 1
%global pypi_name ptflops
%global pypi_version 0.7.2.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Flops counter for convolutional networks inpytorch framework

License:        MIT
URL:            https://github.com/sovrasov/flops-counter.pytorch
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This script is designed to compute the theoretical amount of multiply-add 
operations in convolutional neural networks. It can also compute the number 
of parameters and print per-layer computational cost of a given network.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(torch)
%description -n python3-%{pypi_name}
This script is designed to compute the theoretical amount of multiply-add 
operations in convolutional neural networks. It can also compute the number 
of parameters and print per-layer computational cost of a given network.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.7.2.1-1
- Initial package.